Skip to navigation

Retrieve the summary of a bulk job

View as Markdown
Get the summary of a specific job by its ID. This operation returns a summary of the specified bulk job.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequiredformat: "uuid"=64 characters
The unique identifier of the job whose summary is being queried.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Response

Job summary retrieved successfully
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the job
namestringOptionalRead-only
Name of the job
descriptionstringOptionalRead-only
Description of the job
createdAtlongOptionalRead-only
Time the job was created
createdBystringOptionalRead-only
User who created the job
statusenumOptionalRead-only
Status of the job
rowCountintegerOptionalRead-only
Number of rows in the job
rowsSucceededintegerOptionalRead-only
Number of rows that succeeded in the job
rowsFailedintegerOptionalRead-only
Number of rows that failed in the job
lastUpdatedAtlongOptionalRead-only
Time the job was last updated
failureReasonstringOptionalRead-only
Reason the job failed
objectTypestringOptionalRead-only
Type of object the job is for
jobTypeenumOptionalRead-only
Type of job
Allowed values:
isCustomObjectbooleanOptionalRead-only
Whether the job is for a custom object
customObjectNamespacestringOptionalRead-only
Namespace of the custom object the job is for
dataSourceTypeenumOptionalRead-only
Type of data source the job is for
Allowed values:
systemTypeenumOptionalRead-only
Type of system the job is for
Allowed values:
fileTypeenumOptionalRead-only
Type of the source file
Allowed values:

Errors

404
Not Found Error
500
Internal Server Error